Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Consumer API

Register consumer

put
/issuers/{issuerId}/consumers/{consumerId}

This request is used by the bank backend to request the registration of the end user with personal information.

Note

It is strongly recommended to provide the end user personal information such as first and last name, email, phone number, postal address. Personal information is used in D1 Tokenization by the Decision Engine or in D1 Push when building the card information to push to OEM Wallet.

Note

Some end user personal information are mandatory for issuers using D1 Click to Pay service. These mandatory personal information such as mobilePhoneNumber or language are tagged bellow with "This field is mandatory for Click to Pay".

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOptional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Body

The following object represent the end user (consumer).

Responses
put
/issuers/{issuerId}/consumers/{consumerId}

No content

Delete

post
/issuers/{issuerId}/consumers/{consumerId}/operations:delete

This request is used by the bank backend to request the deletion of an end user. It will also in cascade delete all the accounts, cards and digital cards owned by the end user. Note: The deletion of the end user cannot be reverted. If the same end user is willing to reuse the solution, we will require a new end user registration with a new consumerId.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOptional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Body
reasonstringOptional

The reason why the action is performed.

This a free text field in case the bank wants to send details, that will be returned in the operations list.

Example: customer was contacted on June 28Pattern: ^[a-zA-Z0-9 ]{1,64}$
Responses
200

End user was deleted Successfully

application/json
operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
post
/issuers/{issuerId}/consumers/{consumerId}/operations:delete

Update consumer information

post
/issuers/{issuerId}/consumers/{consumerId}/operations:update

This request is used by the bank backend to request the update of the consumer information.

Note

Some end user personal information are mandatory for issuers using D1 Click to Pay service. These mandatory personal information such as mobilePhoneNumber or language are tagged bellow with "This field is mandatory for Click to Pay".

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOptional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Body

The following object represent the information of the consumer or cardholder.

Responses
200

Consumer successfully updated.

application/json
operationIdstring · min: 1 · max: 64Optional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
post
/issuers/{issuerId}/consumers/{consumerId}/operations:update

Get Card List

get
/issuers/{issuerId}/consumers/{consumerId}/cards

This request is used to request the end user card list. It will return the cards & digital cards and associated accounts.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
x-user-idstringOptional

Identifier of the user that requests the operation on D1 API. This value is provided for information purpose, D1 doesn't do any verification based on this identifier.
D1 manages to propagate the information to a subsequent internal system for tracking purpose.
This identifier is not mandatory.

Pattern: ^[A-Za-z0-9_-]{1,15}$
Responses
200

Successful get end user card list

application/json
get
/issuers/{issuerId}/consumers/{consumerId}/cards

Get all operations

get
/issuers/{issuerId}/consumers/{consumerId}/operations

This request is used by the issuer backend to retrieve the operations details of an end user (consumer).

If no operations are available for the given consumerId, an empty list is returned.

Operations that are older than 3 months will be removed.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Query parameters
offsetintegerOptional

Index from which the query starts returning operations (default value: 0)

limitinteger · min: 1 · max: 50Optional

Upper limit of the query

Default: 10
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Responses
200

List of operations associated to the consumerId.

application/json
remainingOperationsintegerOptional
get
/issuers/{issuerId}/consumers/{consumerId}/operations

Get operation

get
/issuers/{issuerId}/consumers/{consumerId}/operations/{operationId}

This request is used by the issuer backend to retrieve the information related to an operation on the given end user (consumer).

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
Header parameters
x-correlation-idstringOptional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Responses
200

The consumer operation.

application/json

Operation details related to a specific operationId

operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationstring · enumRequired

The operation type.

Possible values:
statusstring · enumRequired

Status of the operation

Possible values:
startTimestring · min: 1 · max: 64Required

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

Example: 2022-06-16T06:28:02.492Z
endTimestring · min: 1 · max: 64Optional

The time the operation has been completed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD note: This is an optional field and might not be returned for synchronous operations.

Example: 2022-06-16T06:28:32.492Z
requestorTypestring · enumRequiredPossible values:
requestorIdstringRequired

Identifier of the principal who initiates the operation

  • consumerId if requestorType is USER
  • issuerId if requestorType is ISSUER
  • cci user id if requestorType is CCI
reasonstringOptional

The reason why the action is performed.

This a free text field in case the bank wants to send details, that will be returned in the operations list.

Example: customer was contacted on June 28Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOptionalPossible values:
detailsone ofOptional
errorCodestringOptional

External error code

errorstring · max: 256Optional

Human readable string representing the error, only present in case of operation failure

Pattern: /^[a-zA-Z0-9_ \/\\\[\],.'#;:{}()?!*-]*$/
get
/issuers/{issuerId}/consumers/{consumerId}/operations/{operationId}

Last updated

Was this helpful?